
Figure - Bug #118898
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】蓝牙连接时，播放音乐->接通企业微信->断开蓝牙->连接蓝牙->声音从喇叭输
出
2023-06-26 15:09 - CD TEST-方永红

Status: RESOLVED Start date: 2023-06-26

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0113

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【测试版本】

副屏0113

中控0092

【测试步骤】

1、副屏蓝牙连接

2、播放QQ音乐HD

3、接通企业微信

4、断开蓝牙

5、连接蓝牙

->声音从喇叭输出

History

#1 - 2023-06-26 15:09 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118898

#2 - 2023-06-26 17:17 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

从日志分析：

在蓝牙重新连接时，企业微信并未重新startbluetoothsco，导致了设备没有做切换。

000241_persist_01118_230626_145132.log:922:06-26 14:51:32.489  1242 15456 D AS.AudioService: idcm_af:a2dp bluetooth state= 2

000241_persist_01118_230626_145132.log:924:06-26 14:51:32.489  1242 15456 D AS.AudioService: idcm_af:setBluetoothConnected: true

000241_persist_01118_230626_145132.log:925:06-26 14:51:32.489  1242 15456 D AS.AudioService: idcm_af:abandonAudioFocus, bluetooth is connected.

000241_persist_01118_230626_145132.log:923:06-26 14:51:32.489  1242 15456 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator

setBluetoothConnected: true

000241_persist_01118_230626_145132.log:926:06-26 14:51:32.489  1242 15456 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus

FocusState0

000241_persist_01118_230626_145132.log:1785:06-26 14:51:32.552   809   809 D audio_hw_primary: select_devices for use case (audio-playback-voip)
000241_persist_01118_230626_145132.log:1787:06-26 14:51:32.552   809   809 D audio_hw_primary: select_devices for use case (audio-record-voip)

000241_persist_01118_230626_145132.log:1850:06-26 14:51:32.585   809   809 D audio_hw_primary: select_devices for use case (audio-playback-voip)

000241_persist_01118_230626_145132.log:1852:06-26 14:51:32.585   809   809 D audio_hw_primary: select_devices for use case (audio-record-voip)

下一步，对比pixel的企业微信

#3 - 2023-06-26 18:02 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

对比了Pixel 3的企业微信，蓝牙断开重连后，企业微信的声音会切换到耳机，

下一步：

对比两个设备有什么差异。

#4 - 2023-06-27 14:28 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前现状如下：

复现情况对比：

复现步骤：

1.企业微信通话中

2.连接蓝牙耳机，声音不从耳机输出

企业微信版本：4.1.6

1.pixel 3 android s 不复现

2.Sony Pdx225 android s 复现

3.联想小新pad 高通870 android S 复现

4.华为 MatePad 11 HarmonyOs 3.0.0 复现

该问题从现象来看是应用问题，正常应用切换设备需要调用setbluetoothscoon的，但企业微信没有调用，

但由于pixel不复现，我们提了高通case进行进一步咨询。

根据以上信息，该问题不影响版本发出，请放低优先级。

#5 - 2023-06-27 15:08 - CD TPM-王祥林

应用自身问题，降低优先级。不用花时间去专门调查了，可以持续跟踪高通case看看。

#6 - 2023-07-24 11:03 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

Hi ALL
该问题在新版本已经不再复现，请使用新版本验证，谢谢！

#7 - 2023-08-31 16:23 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维
